<?php



class TblusertempscoreMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblusertempscoreMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblusertempscorePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblusertempscorePeer::TABLE_NAME);
		$tMap->setPhpName('Tblusertempscore');
		$tMap->setClassname('Tblusertempscore');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('UTSC_USER', 'UtscUser', 'INTEGER' , 'tbluser', 'US_ID', true, null);

		$tMap->addPrimaryKey('UTSC_DATE', 'UtscDate', 'TIMESTAMP', true, null);

		$tMap->addColumn('UTSC_SCORE', 'UtscScore', 'INTEGER', false, null);

	} 
} 